PyExc_MemoryErrorInst went away as of python 3.1.3.

diff -ru pysvn-1.7.4.orig/Import/pycxx-6.2.1/Src/Python3/IndirectPythonInterface.cxx pysvn-1.7.4/Import/pycxx-6.2.1/Src/Python3/IndirectPythonInterface.cxx
--- pysvn-1.7.4.orig/Import/pycxx-6.2.1/Src/Python3/IndirectPythonInterface.cxx	2009-07-19 07:05:54.000000000 -0400
+++ pysvn-1.7.4/Import/pycxx-6.2.1/Src/Python3/IndirectPythonInterface.cxx	2010-12-10 10:30:50.000000000 -0500
@@ -245,7 +245,6 @@
     ptr__Exc_KeyError           = GetPyObjectPointer_As_PyObjectPointer( "PyExc_KeyError" );
     ptr__Exc_LookupError        = GetPyObjectPointer_As_PyObjectPointer( "PyExc_LookupError" );
     ptr__Exc_MemoryError        = GetPyObjectPointer_As_PyObjectPointer( "PyExc_MemoryError" );
-    ptr__Exc_MemoryErrorInst    = GetPyObjectPointer_As_PyObjectPointer( "PyExc_MemoryErrorInst" );
     ptr__Exc_NameError          = GetPyObjectPointer_As_PyObjectPointer( "PyExc_NameError" );
     ptr__Exc_NotImplementedError= GetPyObjectPointer_As_PyObjectPointer( "PyExc_NotImplementedError" );
     ptr__Exc_OSError            = GetPyObjectPointer_As_PyObjectPointer( "PyExc_OSError" );
@@ -449,7 +448,6 @@
 PyObject *_Exc_KeyError()               { return ::PyExc_KeyError; }
 PyObject *_Exc_LookupError()            { return ::PyExc_LookupError; }
 PyObject *_Exc_MemoryError()            { return ::PyExc_MemoryError; }
-PyObject *_Exc_MemoryErrorInst()        { return ::PyExc_MemoryErrorInst; }
 PyObject *_Exc_NameError()              { return ::PyExc_NameError; }
 PyObject *_Exc_NotImplementedError()    { return ::PyExc_NotImplementedError; }
 PyObject *_Exc_OSError()                { return ::PyExc_OSError; }
diff -ru pysvn-1.7.4.orig/Source/setup_configure.py pysvn-1.7.4/Source/setup_configure.py
--- pysvn-1.7.4.orig/Source/setup_configure.py	2010-08-01 11:46:35.000000000 -0400
+++ pysvn-1.7.4/Source/setup_configure.py	2010-12-10 10:07:28.000000000 -0500
@@ -332,31 +332,12 @@
         if self.platform == 'darwin' and self.is_mac_os_x:
             # need to figure out the framework dir to use otherwise the latest
             # python framework will be used and not the one matching this python
-            var_prefix = distutils.sysconfig.get_config_var('prefix')
+            var_prefix = distutils.sysconfig.get_config_var('LIBPL')
             var_ldlibrary = distutils.sysconfig.get_config_var('LDLIBRARY')
             framework_lib = os.path.join( var_prefix, os.path.basename( var_ldlibrary ) )
-
-            if self.is_atleast_mac_os_x_version( (10,5) ) >= 0:
-                if self.verbose:
-                    print( 'Info: Using Mac OS X 10.5 makefile template' )
-
-                template_values['extra_libs'] = ''
-                template_values['frameworks'] = '-framework System %s -framework CoreFoundation -framework Kerberos -framework Security' % framework_lib
-
-            elif self.is_atleast_mac_os_x_version( (10,4) ) >= 0:
-                if self.verbose:
-                    print( 'Info: Using Mac OS X 10.4 makefile template' )
-
-                # 10.4 needs the libintl.a but 10.3 does not
-                template_values['extra_libs'] = '%(svn_lib_dir)s/libintl.a' % template_values
-                template_values['frameworks'] = '-framework System %s -framework CoreFoundation -framework Kerberos -framework Security' % framework_lib
-
-            else:
-                if self.verbose:
-                    print( 'Info: Using Mac OS X 10.3 makefile template' )
-
-                template_values['extra_libs'] = ''
-                template_values['frameworks'] = '-framework System %s -framework CoreFoundation' % framework_lib
+            
+            template_values['extra_libs'] = ''
+            template_values['frameworks'] = framework_lib
 
             if self.is_mac_os_x_fink:
                 makefile.write( self.makefile_template_macosx_fink % template_values )
@@ -694,36 +675,21 @@
 PYTHON=%(python_exe)s
 SVN_INCLUDE=%(svn_include)s
 CCC=g++
-CCCFLAGS=-Wall -Wno-long-double -fPIC -fexceptions -frtti %(includes)s %(py_cflags)s %(debug_cflags)s
+CCCFLAGS=-Wall -fPIC -fexceptions -frtti %(includes)s %(py_cflags)s %(debug_cflags)s
 CC=gcc
-CCFLAGS=-Wall -Wno-long-double -fPIC %(includes)s %(debug_cflags)s
+CCFLAGS=-Wall -fPIC %(includes)s %(debug_cflags)s
 PYCXX=%(pycxx_dir)s
 PYCXXSRC=%(pycxx_src_dir)s
-LDSHARED=g++ -bundle %(debug_cflags)s -u _PyMac_Error %(frameworks)s
-LDLIBS= \
-%(svn_lib_dir)s/libsvn_client-1.a \
-%(svn_lib_dir)s/libsvn_subr-1.a \
-%(svn_lib_dir)s/libsvn_wc-1.a \
-%(svn_lib_dir)s/libsvn_ra-1.a \
-%(svn_lib_dir)s/libsvn_ra_dav-1.a \
-%(svn_lib_dir)s/libsvn_ra_local-1.a \
-%(svn_lib_dir)s/libsvn_ra_svn-1.a \
-%(svn_lib_dir)s/libsvn_delta-1.a \
-%(svn_lib_dir)s/libsvn_repos-1.a \
-%(svn_lib_dir)s/libsvn_fs-1.a \
-%(svn_lib_dir)s/libsvn_fs_fs-1.a \
-%(svn_lib_dir)s/libsvn_fs_base-1.a \
-%(svn_lib_dir)s/libsvn_diff-1.a \
-%(apr_lib_dir)s/libaprutil-0.a \
-%(apr_lib_dir)s/libapr-0.a \
-%(svn_lib_dir)s/libneon.a \
-%(svn_lib_dir)s/libssl.a \
-%(svn_lib_dir)s/libcrypto.a \
-%(svn_lib_dir)s/libexpat.a \
-%(svn_lib_dir)s/libxml2.a \
-%(svn_lib_dir)s/libdb-4.3.a \
- -lintl.3 -liconv.2 -lz
-
+LDSHARED=g++ -bundle %(debug_cflags)s %(frameworks)s
+LDLIBS=-L%(svn_lib_dir)s \
+-L%(apr_lib_dir)s \
+-lsvn_client-1 \
+-lsvn_repos-1 \
+-lsvn_wc-1 \
+-lsvn_fs-1 \
+-lsvn_subr-1 \
+-lsvn_diff-1 \
+-l%(lib_apr)s
 #include pysvn_common.mak
 '''
 
